Subject: Re: bug#39352: guix pull failing on aarch64

From: shtwzrd <[email-masked]>
Date: Mon, 03 Feb 2020 01:07:02 +0000

In my case on aarch64, it appears to be deterministic. I've tried over a dozen times and it always fails in the exact same place.

So perhaps aarch64 is a good target for debugging the underlying problem, if this and #39266 are related, as they appear to be.

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
On Sunday, February 2, 2020 9:23 PM, Ludovic Courtès <[email-masked]> wrote:

> Hello!
>
> Jesse Gibbons [email-masked] skribis:
>
> > I've noticed most guix ops (including guix pull) hang on armhf as well,
> > but I don't have a log to provide.
> > Right now I'm fine with keeping guix at a stable (but potentially less
> > secure) commit until the JIT compiler in Guile 3 is fixed and enabled
> > on ARM.
>
> Right. The AArch64 bug is tracked at:
>
> https://issues.guix.gnu.org/issue/39266
>
> I believe the problem is not deterministic, so it may be that retrying
> ‘guix pull’ will work…
>
> Ludo’.